import React, { Component } from 'react';
import { Container, Row, Col } from "react-bootstrap";
import { makeStyles, createMuiTheme, MuiThemeProvider } from '@material-ui/core/styles';
import { TextField, InputBase } from "@material-ui/core";
import Images from '../../assets/Images';
import MUIDataTable from "mui-datatables";
import CreateApprovalMatrix from "./CreateApprovalMatrix";
import EditApprovalMatrix from "./EditApprovalMatrix";
import PreviewAM from "./PreviewAM";
import VisualisasiAM from "./VisualisasiAM";

var ct = require("../../library/CustomTable");
const getMuiTheme = () => createMuiTheme(ct.customTable());
const options = ct.customOptions();

const type = [
  {
    value: 'KPI',
    label: 'KPI',
  },
  {
    value: 'Gatau',
    label: 'Gatau',
  },
];

export default class ApprovalMatrix extends Component {
    constructor(props) {
        super(props)
        this.state = {
            visibleAM: true,
            visibleCreate: false,
            visibleEdit: false,
            visibleVisual: false,
            search: "",
        }
    }

    componentDidMount() {
    }

    handleInputChange = (e) => {
        // Immediately update the state
        this.setState({
            search: e.target.value
        })

        // Execute the debounced onChange method
        this.onChangeDebounced(e)
    }

    onChangeDebounced = (e) => {
        // Delayed logic goes here
    }

    render() {
        const columns = [{
            name: "Action",
            options: {
                customBodyRender: (val, tableMeta) => {
                    return (
                        <div style={{ display: 'flex' }}>
                            <button
                                style={{
                                    backgroundColor: 'transparent',
                                    cursor: 'pointer',
                                    borderColor: 'transparent'
                                }}
                                onClick={() => null}
                            >
                                <img src={Images.editCopy} onClick={() => this.setState({ visibleEdit: true })} />
                            </button>
                        </div >
                    );
                }
            }
        }, "ID", "Tipe Persetujuan", "Order", "Nama Pemberi Persetujuan", "Operator", "Status"]
        const data = [
            ["", "1", "Yearly", "1", "John Doe", "-", "Aktif"],
            ["", "2", "Yearly", "2", "John Doe", "-", "Aktif"],
            ["", "3", "Yearly", "2", "John Doe", "AND", "Aktif"],
            ["", "4", "Yearly", "2", "John Doe", "AND", "Non Aktif"],
            ["", "5", "Yearly", "3", "John Doe", "-", "Non Aktif"],
        ]

        return (
            <div>
            {this.state.visibleAM === true ?
            <div style={{ height: this.props.height }}>
                <div style={{ height: 199, width: '100%', backgroundColor: '#354960' }} />
                    <div>    
                        <div style={{ display: 'flex', flexDirection: 'row', justifyContent: 'space-between', paddingRight: 25, paddingLeft: 25, marginTop: -150 }}>
                            <label style={{ color: 'white', fontSize: 16, alignSelf: 'center', paddingTop: 8 }}>Master Data - Approval Matrix</label>
                            {/* <form style={{ }}>
                                <TextField id="" label="" variant="outlined" size="small" placeholder="Search" style={{ width: 423, backgroundColor: 'white', borderRadius: 6 }}/>
                            </form> */}
                            <div style={{ color: 'white', width: '50%', height: 37, display: 'flex', backgroundColor: 'white', borderWidth: 2, alignItems: 'center', borderRadius: 6, paddingLeft: 5, paddingRight: 5 }}>
                                <img src={Images.searchBlack} style={{ marginRight: 10 }} />
                                <InputBase
                                    style={{ width: '100%' }}
                                    placeholder="Search"
                                    value={this.state.search}
                                    onChange={(e) => this.handleInputChange(e)}
                                    inputProps={{ 'aria-label': 'naked' }}
                                />
                            </div>
                            <div style={{ display: 'flex' }}>
                                <button
                                        style={{
                                            backgroundColor: 'transparent',
                                            cursor: 'pointer',
                                            borderColor: 'transparent',
                                            padding: 0
                                        }}
                                        onClick={() => null}
                                    >
                                        <img src={Images.template} />
                                    </button>
                                <button
                                        style={{
                                            backgroundColor: 'transparent',
                                            cursor: 'pointer',
                                            borderColor: 'transparent',
                                            marginLeft: 16,
                                            padding:0
                                        }}
                                        onClick={() => null}
                                    >
                                        <img src={Images.upload} />
                                    </button>
                                <button
                                        style={{
                                            backgroundColor: 'transparent',
                                            cursor: 'pointer',
                                            borderColor: 'transparent',
                                            marginLeft: 16,
                                            padding:0
                                        }}
                                        onClick={() => null}
                                    >
                                        <img src={Images.download} />
                                    </button>
                                <button
                                        style={{
                                            backgroundColor: 'transparent',
                                            cursor: 'pointer',
                                            borderColor: 'transparent',
                                            marginLeft: 16,
                                            padding:0
                                        }}
                                        onClick={() => null}
                                    >
                                        <img src={Images.visualisasi} onClick={() => this.setState({ visibleVisual: true, visibleAM: false })} />
                                    </button>
                                <button
                                        style={{
                                            backgroundColor: 'transparent',
                                            cursor: 'pointer',
                                            borderColor: 'transparent',
                                            marginLeft: 16,
                                            padding:0
                                        }}
                                    >
                                        <img src={Images.add} onClick={() => this.setState({ visibleCreate: true })} />
                                    </button>
                            </div >
                        </div>
                        <div style={{ padding: 25, width: '100%' }}>
                            <MuiThemeProvider theme={getMuiTheme()}>
                                <MUIDataTable
                                    data={data}
                                    columns={columns}
                                    options={options}
                                />
                            </MuiThemeProvider>
                        </div>
                    </div>
                </div>
                : false
            }
            {this.state.visibleCreate && (
                <CreateApprovalMatrix
                    onClickClose={() => this.setState({ visibleCreate: false })}
                />
            )}
            {this.state.visibleEdit && (
                <EditApprovalMatrix
                    onClickClose={() => this.setState({ visibleEdit: false })}
                />
            )}
            {this.state.visibleVisual && (
                <VisualisasiAM
                    onClickClose={() => this.setState({ visibleVisual: false })}
                />
            )}
            </div>
        );
    }
}
